Bug 748961 (CVE-2011-4073) - CVE-2011-4073 openswan: use-after-free vulnerability leads to DoS
Summary: CVE-2011-4073 openswan: use-after-free vulnerability leads to DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4073
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20111028,repor...
Depends On: 748967 748968 748969 748970
Blocks: 748965
TreeView+ depends on / blocked
 
Reported: 2011-10-25 17:41 UTC by Vincent Danen
Modified: 2019-06-08 18:57 UTC (History)
4 users (show)

Fixed In Version: openswan 2.6.37
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-02 22:08:43 UTC


Attachments (Terms of Use)
proposed upstream patch (6.90 KB, patch)
2011-10-25 20:17 UTC, Vincent Danen
no flags Details | Diff
openswan patch for cve-2011-4073 for 6.2, 6.1.z and 5.8 (6.97 KB, patch)
2011-10-25 22:09 UTC, Avesh Agarwal
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1422 normal SHIPPED_LIVE Moderate: openswan security update 2011-11-02 22:03:38 UTC

Description Vincent Danen 2011-10-25 17:41:50 UTC
A use-after-free flaw was reported in the cryptography support in Openswan Phase 2 negotiation.  This could be used by a remote authenticated attacker to crash Openswan.

Comment 3 Vincent Danen 2011-10-25 20:17:40 UTC
Created attachment 530171 [details]
proposed upstream patch

Comment 5 Vincent Danen 2011-10-25 20:51:33 UTC
Acknowledgements:

Red Hat would like to thank the Openswan project for reporting this issue. Upstream acknowledges Petar Tsankov, Mohammad Torabi Dashti and David Basin of the information security group at ETH Zurich as the original reporters.

Comment 11 Vincent Danen 2011-10-27 15:59:58 UTC
External References:

http://openswan.org/download/CVE-2011-4073/CVE-2011-4073.txt

Comment 12 Vincent Danen 2011-10-28 21:55:31 UTC
The upstream patch to correct this flaw:

http://www.openswan.org/download/CVE-2011-4073/openswan-2.x.x-CVE-2011-4073.patch

Comment 13 errata-xmlrpc 2011-11-02 22:03:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2011:1422 https://rhn.redhat.com/errata/RHSA-2011-1422.html

Comment 14 Vincent Danen 2011-11-02 22:10:16 UTC
Fedora updates that fix this flaw:

openswan-2.6.33-3.fc14
openswan-2.6.37-1.fc15
openswan-2.6.37-1.fc16

Comment 15 Fedora Update System 2011-12-10 19:48:33 UTC
openswan-2.6.37-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-12-10 19:50:40 UTC
openswan-2.6.33-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-12-10 19:56:42 UTC
openswan-2.6.37-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.